--- Mesa-7.8.2/src/gallium/drivers/llvmpipe/lp_tile_soa.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/gallium/drivers/llvmpipe/lp_tile_soa.py	2010-12-06 15:52:01.000000000 +1100
@@ -52,14 +52,14 @@
 
     src_native_type = native_type(format)
 
-    print 'static void'
-    print 'lp_tile_%s_read_%s(%s *dst, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, dst_suffix, dst_native_type)
-    print '{'
-    print '   unsigned x, y;'
-    print '   const uint8_t *src_row = src + y0*src_stride;'
-    print '   for (y = 0; y < h; ++y) {'
-    print '      const %s *src_pixel = (const %s *)(src_row + x0*%u);' % (src_native_type, src_native_type, format.stride())
-    print '      for (x = 0; x < w; ++x) {'
+    print ('static void')
+    print ('lp_tile_%s_read_%s(%s *dst, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, dst_suffix, dst_native_type))
+    print ('{')
+    print ('   unsigned x, y;')
+    print ('   const uint8_t *src_row = src + y0*src_stride;')
+    print ('   for (y = 0; y < h; ++y) {')
+    print ('      const %s *src_pixel = (const %s *)(src_row + x0*%u);' % (src_native_type, src_native_type, format.stride()))
+    print ('      for (x = 0; x < w; ++x) {')
 
     names = ['']*4
     if format.colorspace == 'rgb':
@@ -78,7 +78,7 @@
 
     if format.layout == PLAIN:
         if not format.is_array():
-            print '         %s pixel = *src_pixel++;' % src_native_type
+            print ('         %s pixel = *src_pixel++;' % src_native_type)
             shift = 0;
             for i in range(4):
                 src_channel = format.channels[i]
@@ -91,7 +91,7 @@
                     if shift + width < format.block_size():
                         value = '(%s & 0x%x)' % (value, mask)
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value, clamp=False)
-                    print '         %s %s = %s;' % (dst_native_type, names[i], value)
+                    print ('         %s %s = %s;' % (dst_native_type, names[i], value))
                 shift += width
         else:
             for i in range(4):
@@ -99,7 +99,7 @@
                 if names[i]:
                     value = '(*src_pixel++)'
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value, clamp=False)
-                    print '         %s %s = %s;' % (dst_native_type, names[i], value)
+                    print ('         %s %s = %s;' % (dst_native_type, names[i], value))
     else:
         assert False
 
@@ -121,13 +121,13 @@
                 value = get_one(dst_channel)
         else:
             assert False
-        print '         TILE_PIXEL(dst, x, y, %u) = %s; /* %s */' % (i, value, 'rgba'[i])
+        print ('         TILE_PIXEL(dst, x, y, %u) = %s; /* %s */' % (i, value, 'rgba'[i]))
 
-    print '      }'
-    print '      src_row += src_stride;'
-    print '   }'
-    print '}'
-    print
+    print ('      }')
+    print ('      src_row += src_stride;')
+    print ('   }')
+    print ('}')
+    print ('')
     
 
 def pack_rgba(format, src_channel, r, g, b, a):
@@ -171,29 +171,29 @@
     This is considerably faster than the TILE_PIXEL-based code below.
     '''
     dst_native_type = 'uint%u_t' % format.block_size()
-    print '   const unsigned dstpix_stride = dst_stride / %d;' % format.stride()
-    print '   %s *dstpix = (%s *) dst;' % (dst_native_type, dst_native_type)
-    print '   unsigned int qx, qy, i;'
-    print
-    print '   for (qy = 0; qy < h; qy += TILE_VECTOR_HEIGHT) {'
-    print '      const unsigned py = y0 + qy;'
-    print '      for (qx = 0; qx < w; qx += TILE_VECTOR_WIDTH) {'
-    print '         const unsigned px = x0 + qx;'
-    print '         const uint8_t *r = src + 0 * TILE_C_STRIDE;'
-    print '         const uint8_t *g = src + 1 * TILE_C_STRIDE;'
-    print '         const uint8_t *b = src + 2 * TILE_C_STRIDE;'
-    print '         const uint8_t *a = src + 3 * TILE_C_STRIDE;'
-    print '         (void) r; (void) g; (void) b; (void) a; /* silence warnings */'
-    print '         for (i = 0; i < TILE_C_STRIDE; i += 2) {'
-    print '            const uint32_t pixel0 = %s;' % pack_rgba(format, src_channel, "r[i+0]", "g[i+0]", "b[i+0]", "a[i+0]")
-    print '            const uint32_t pixel1 = %s;' % pack_rgba(format, src_channel, "r[i+1]", "g[i+1]", "b[i+1]", "a[i+1]")
-    print '            const unsigned offset = (py + tile_y_offset[i]) * dstpix_stride + (px + tile_x_offset[i]);'
-    print '            dstpix[offset + 0] = pixel0;'
-    print '            dstpix[offset + 1] = pixel1;'
-    print '         }'
-    print '         src += TILE_X_STRIDE;'
-    print '      }'
-    print '   }'
+    print ('   const unsigned dstpix_stride = dst_stride / %d;' % format.stride())
+    print ('   %s *dstpix = (%s *) dst;' % (dst_native_type, dst_native_type))
+    print ('   unsigned int qx, qy, i;')
+    print ('')
+    print ('   for (qy = 0; qy < h; qy += TILE_VECTOR_HEIGHT) {')
+    print ('      const unsigned py = y0 + qy;')
+    print ('      for (qx = 0; qx < w; qx += TILE_VECTOR_WIDTH) {')
+    print ('         const unsigned px = x0 + qx;')
+    print ('         const uint8_t *r = src + 0 * TILE_C_STRIDE;')
+    print ('         const uint8_t *g = src + 1 * TILE_C_STRIDE;')
+    print ('         const uint8_t *b = src + 2 * TILE_C_STRIDE;')
+    print ('         const uint8_t *a = src + 3 * TILE_C_STRIDE;')
+    print ('         (void) r; (void) g; (void) b; (void) a; /* silence warnings */')
+    print ('         for (i = 0; i < TILE_C_STRIDE; i += 2) {')
+    print ('            const uint32_t pixel0 = %s;' % pack_rgba(format, src_channel, "r[i+0]", "g[i+0]", "b[i+0]", "a[i+0]"))
+    print ('            const uint32_t pixel1 = %s;' % pack_rgba(format, src_channel, "r[i+1]", "g[i+1]", "b[i+1]", "a[i+1]"))
+    print ('            const unsigned offset = (py + tile_y_offset[i]) * dstpix_stride + (px + tile_x_offset[i]);')
+    print ('            dstpix[offset + 0] = pixel0;')
+    print ('            dstpix[offset + 1] = pixel1;')
+    print ('         }')
+    print ('         src += TILE_X_STRIDE;')
+    print ('      }')
+    print ('   }')
 
 
 def emit_tile_pixel_write_code(format, src_channel):
@@ -202,15 +202,15 @@
 
     inv_swizzle = format.inv_swizzles()
 
-    print '   unsigned x, y;'
-    print '   uint8_t *dst_row = dst + y0*dst_stride;'
-    print '   for (y = 0; y < h; ++y) {'
-    print '      %s *dst_pixel = (%s *)(dst_row + x0*%u);' % (dst_native_type, dst_native_type, format.stride())
-    print '      for (x = 0; x < w; ++x) {'
+    print ('   unsigned x, y;')
+    print ('   uint8_t *dst_row = dst + y0*dst_stride;')
+    print ('   for (y = 0; y < h; ++y) {')
+    print ('      %s *dst_pixel = (%s *)(dst_row + x0*%u);' % (dst_native_type, dst_native_type, format.stride()))
+    print ('      for (x = 0; x < w; ++x) {')
 
     if format.layout == PLAIN:
         if not format.is_array():
-            print '         %s pixel = 0;' % dst_native_type
+            print ('         %s pixel = 0;' % dst_native_type)
             shift = 0;
             for i in range(4):
                 dst_channel = format.channels[i]
@@ -220,22 +220,22 @@
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value, clamp=False)
                     if shift:
                         value = '(%s << %u)' % (value, shift)
-                    print '         pixel |= %s;' % value
+                    print ('         pixel |= %s;' % value)
                 shift += width
-            print '         *dst_pixel++ = pixel;'
+            print ('         *dst_pixel++ = pixel;')
         else:
             for i in range(4):
                 dst_channel = format.channels[i]
                 if inv_swizzle[i] is not None:
                     value = 'TILE_PIXEL(src, x, y, %u)' % inv_swizzle[i]
                     value = conversion_expr(src_channel, dst_channel, dst_native_type, value, clamp=False)
-                    print '         *dst_pixel++ = %s;' % value
+                    print ('         *dst_pixel++ = %s;' % value)
     else:
         assert False
 
-    print '      }'
-    print '      dst_row += dst_stride;'
-    print '   }'
+    print ('      }')
+    print ('      dst_row += dst_stride;')
+    print ('   }')
 
 
 def generate_format_write(format, src_channel, src_native_type, src_suffix):
@@ -243,9 +243,9 @@
 
     name = format.short_name()
 
-    print 'static void'
-    print 'lp_tile_%s_write_%s(const %s *src, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, src_suffix, src_native_type)
-    print '{'
+    print ('static void')
+    print ('lp_tile_%s_write_%s(const %s *src, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h)' % (name, src_suffix, src_native_type))
+    print ('{')
     if format.layout == PLAIN \
         and format.colorspace == 'rgb' \
         and format.block_size() <= 32 \
@@ -255,8 +255,8 @@
         emit_unrolled_write_code(format, src_channel)
     else:
         emit_tile_pixel_write_code(format, src_channel)
-    print '}'
-    print
+    print ('}')
+    print ('')
     
 
 def generate_read(formats, dst_channel, dst_native_type, dst_suffix):
@@ -266,23 +266,23 @@
         if is_format_supported(format):
             generate_format_read(format, dst_channel, dst_native_type, dst_suffix)
 
-    print 'void'
-    print 'lp_tile_read_%s(enum pipe_format format, %s *dst, const void *src, unsigned src_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (dst_suffix, dst_native_type)
-    print '{'
-    print '   void (*func)(%s *dst, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % dst_native_type
-    print '   switch(format) {'
+    print ('void')
+    print ('lp_tile_read_%s(enum pipe_format format, %s *dst, const void *src, unsigned src_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (dst_suffix, dst_native_type))
+    print ('{')
+    print ('   void (*func)(%s *dst, const uint8_t *src, unsigned src_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % dst_native_type)
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &lp_tile_%s_read_%s;' % (format.short_name(), dst_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("unsupported format\\n");'
-    print '      return;'
-    print '   }'
-    print '   func(dst, (const uint8_t *)src, src_stride, x, y, w, h);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &lp_tile_%s_read_%s;' % (format.short_name(), dst_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("unsupported format\\n");')
+    print ('      return;')
+    print ('   }')
+    print ('   func(dst, (const uint8_t *)src, src_stride, x, y, w, h);')
+    print ('}')
+    print ('')
 
 
 def generate_write(formats, src_channel, src_native_type, src_suffix):
@@ -292,24 +292,24 @@
         if is_format_supported(format):
             generate_format_write(format, src_channel, src_native_type, src_suffix)
 
-    print 'void'
-    print 'lp_tile_write_%s(enum pipe_format format, const %s *src, void *dst, unsigned dst_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (src_suffix, src_native_type)
+    print ('void')
+    print ('lp_tile_write_%s(enum pipe_format format, const %s *src, void *dst, unsigned dst_stride, unsigned x, unsigned y, unsigned w, unsigned h)' % (src_suffix, src_native_type))
     
-    print '{'
-    print '   void (*func)(const %s *src, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % src_native_type
-    print '   switch(format) {'
+    print ('{')
+    print ('   void (*func)(const %s *src, uint8_t *dst, unsigned dst_stride, unsigned x0, unsigned y0, unsigned w, unsigned h);' % src_native_type)
+    print ('   switch(format) {')
     for format in formats:
         if is_format_supported(format):
-            print '   case %s:' % format.name
-            print '      func = &lp_tile_%s_write_%s;' % (format.short_name(), src_suffix)
-            print '      break;'
-    print '   default:'
-    print '      debug_printf("unsupported format\\n");'
-    print '      return;'
-    print '   }'
-    print '   func(src, (uint8_t *)dst, dst_stride, x, y, w, h);'
-    print '}'
-    print
+            print ('   case %s:' % format.name)
+            print ('      func = &lp_tile_%s_write_%s;' % (format.short_name(), src_suffix))
+            print ('      break;')
+    print ('   default:')
+    print ('      debug_printf("unsupported format\\n");')
+    print ('      return;')
+    print ('   }')
+    print ('   func(src, (uint8_t *)dst, dst_stride, x, y, w, h);')
+    print ('}')
+    print ('')
 
 
 def main():
@@ -317,37 +317,37 @@
     for arg in sys.argv[1:]:
         formats.extend(parse(arg))
 
-    print '/* This file is autogenerated by lp_tile_soa.py from u_format.csv. Do not edit directly. */'
-    print
+    print ('/* This file is autogenerated by lp_tile_soa.py from u_format.csv. Do not edit directly. */')
+    print ('')
     # This will print the copyright message on the top of this file
-    print __doc__.strip()
-    print
-    print '#include "pipe/p_compiler.h"'
-    print '#include "util/u_format.h"'
-    print '#include "util/u_math.h"'
-    print '#include "lp_tile_soa.h"'
-    print
-    print 'const unsigned char'
-    print 'tile_offset[TILE_VECTOR_HEIGHT][TILE_VECTOR_WIDTH] = {'
-    print '   {  0,  1,  4,  5},'
-    print '   {  2,  3,  6,  7},'
-    print '   {  8,  9, 12, 13},'
-    print '   { 10, 11, 14, 15}'
-    print '};'
-    print
-    print '/* Note: these lookup tables could be replaced with some'
-    print ' * bit-twiddling code, but this is a little faster.'
-    print ' */'
-    print 'static unsigned tile_x_offset[TILE_VECTOR_WIDTH * TILE_VECTOR_HEIGHT] = {'
-    print '   0, 1, 0, 1, 2, 3, 2, 3,'
-    print '   0, 1, 0, 1, 2, 3, 2, 3'
-    print '};'
-    print
-    print 'static unsigned tile_y_offset[TILE_VECTOR_WIDTH * TILE_VECTOR_HEIGHT] = {'
-    print '   0, 0, 1, 1, 0, 0, 1, 1,'
-    print '   2, 2, 3, 3, 2, 2, 3, 3'
-    print '};'
-    print
+    print (__doc__.strip())
+    print ('')
+    print ('#include "pipe/p_compiler.h"')
+    print ('#include "util/u_format.h"')
+    print ('#include "util/u_math.h"')
+    print ('#include "lp_tile_soa.h"')
+    print ('')
+    print ('const unsigned char')
+    print ('tile_offset[TILE_VECTOR_HEIGHT][TILE_VECTOR_WIDTH] = {')
+    print ('   {  0,  1,  4,  5},')
+    print ('   {  2,  3,  6,  7},')
+    print ('   {  8,  9, 12, 13},')
+    print ('   { 10, 11, 14, 15}')
+    print ('};')
+    print ('')
+    print ('/* Note: these lookup tables could be replaced with some')
+    print (' * bit-twiddling code, but this is a little faster.')
+    print (' */')
+    print ('static unsigned tile_x_offset[TILE_VECTOR_WIDTH * TILE_VECTOR_HEIGHT] = {')
+    print ('   0, 1, 0, 1, 2, 3, 2, 3,')
+    print ('   0, 1, 0, 1, 2, 3, 2, 3')
+    print ('};')
+    print ('')
+    print ('static unsigned tile_y_offset[TILE_VECTOR_WIDTH * TILE_VECTOR_HEIGHT] = {')
+    print ('   0, 0, 1, 1, 0, 0, 1, 1,')
+    print ('   2, 2, 3, 3, 2, 2, 3, 3')
+    print ('};')
+    print ('')
 
     generate_clamp()
 
--- Mesa-7.8.2/src/gallium/drivers/svga/svgadump/svga_dump.py.orig	2010-04-28 07:41:21.000000000 +1000
+++ Mesa-7.8.2/src/gallium/drivers/svga/svgadump/svga_dump.py	2010-12-06 15:50:00.000000000 +1100
@@ -63,22 +63,22 @@
 
         for variable in class_.variables():
             if variable.name != '':
-                #print 'variable = %r' % variable.name
+                #print ('variable = %r' % variable.name)
                 dump_type(self._instance + '.' + variable.name, variable.type)
 
     def visit_enumeration(self):
         if enums:
-            print '   switch(%s) {' % ("(*cmd)" + self._instance,)
+            print ('   switch(%s) {' % ("(*cmd)" + self._instance,))
             for name, value in self.decl.values:
-                print '   case %s:' % (name,)
-                print '      _debug_printf("\\t\\t%s = %s\\n");' % (self._instance, name)
-                print '      break;'
-            print '   default:'
-            print '      _debug_printf("\\t\\t%s = %%i\\n", %s);' % (self._instance, "(*cmd)" + self._instance)
-            print '      break;'
-            print '   }'
+                print ('   case %s:' % (name,))
+                print ('      _debug_printf("\\t\\t%s = %s\\n");' % (self._instance, name))
+                print ('      break;')
+            print ('   default:')
+            print ('      _debug_printf("\\t\\t%s = %%i\\n", %s);' % (self._instance, "(*cmd)" + self._instance))
+            print ('      break;')
+            print ('   }')
         else:
-            print '   _debug_printf("\\t\\t%s = %%i\\n", %s);' % (self._instance, "(*cmd)" + self._instance)
+            print ('   _debug_printf("\\t\\t%s = %%i\\n", %s);' % (self._instance, "(*cmd)" + self._instance))
 
 
 def dump_decl(instance, decl):
@@ -149,12 +149,12 @@
         self.print_instance('%p')
 
     def visit_declarated(self):
-        #print 'decl = %r' % self.type.decl_string
+        #print ('decl = %r' % self.type.decl_string)
         decl = type_traits.remove_declarated(self.type)
         dump_decl(self.instance, decl)
 
     def print_instance(self, format):
-        print '   _debug_printf("\\t\\t%s = %s\\n", %s);' % (self.instance, format, "(*cmd)" + self.instance)
+        print ('   _debug_printf("\\t\\t%s = %s\\n", %s);' % (self.instance, format, "(*cmd)" + self.instance))
 
 
 def dump_type(instance, type_):
@@ -164,12 +164,12 @@
 
 
 def dump_struct(decls, class_):
-    print 'static void'
-    print 'dump_%s(const %s *cmd)' % (class_.name, class_.name)
-    print '{'
+    print ('static void')
+    print ('dump_%s(const %s *cmd)' % (class_.name, class_.name))
+    print ('{')
     dump_decl('', class_)
-    print '}'
-    print ''
+    print ('}')
+    print ('')
 
 
 cmds = [
@@ -206,48 +206,48 @@
 ]
 
 def dump_cmds():
-    print r'''
+    print (r'''
 void            
 svga_dump_command(uint32_t cmd_id, const void *data, uint32_t size)
 {
    const uint8_t *body = (const uint8_t *)data;
    const uint8_t *next = body + size;
-'''
-    print '   switch(cmd_id) {'
+''')
+    print ('   switch(cmd_id) {')
     indexes = 'ijklmn'
     for id, header, body, footer in cmds:
-        print '   case %s:' % id
-        print '      _debug_printf("\\t%s\\n");' % id
-        print '      {'
-        print '         const %s *cmd = (const %s *)body;' % (header, header)
+        print ('   case %s:' % id)
+        print ('      _debug_printf("\\t%s\\n");' % id)
+        print ('      {')
+        print ('         const %s *cmd = (const %s *)body;' % (header, header))
         if len(body):
-            print '         unsigned ' + ', '.join(indexes[:len(body)]) + ';'
-        print '         dump_%s(cmd);' % header
-        print '         body = (const uint8_t *)&cmd[1];'
+            print ('         unsigned ' + ', '.join(indexes[:len(body)]) + ';')
+        print ('         dump_%s(cmd);' % header)
+        print ('         body = (const uint8_t *)&cmd[1];')
         for i in range(len(body)):
             struct, count = body[i]
             idx = indexes[i]
-            print '         for(%s = 0; %s < cmd->%s; ++%s) {' % (idx, idx, count, idx)
-            print '            dump_%s((const %s *)body);' % (struct, struct)
-            print '            body += sizeof(%s);' % struct
-            print '         }'
+            print ('         for(%s = 0; %s < cmd->%s; ++%s) {' % (idx, idx, count, idx))
+            print ('            dump_%s((const %s *)body);' % (struct, struct))
+            print ('            body += sizeof(%s);' % struct)
+            print ('         }')
         if footer is not None:
-            print '         while(body + sizeof(%s) <= next) {' % footer
-            print '            dump_%s((const %s *)body);' % (footer, footer)
-            print '            body += sizeof(%s);' % footer
-            print '         }'
+            print ('         while(body + sizeof(%s) <= next) {' % footer)
+            print ('            dump_%s((const %s *)body);' % (footer, footer))
+            print ('            body += sizeof(%s);' % footer)
+            print ('         }')
         if id == 'SVGA_3D_CMD_SHADER_DEFINE':
-            print '         svga_shader_dump((const uint32_t *)body,'
-            print '                          (unsigned)(next - body)/sizeof(uint32_t),'
-            print '                          FALSE);'
-            print '         body = next;'
-        print '      }'
-        print '      break;'
-    print '   default:'
-    print '      _debug_printf("\\t0x%08x\\n", cmd_id);'
-    print '      break;'
-    print '   }'
-    print r'''
+            print ('         svga_shader_dump((const uint32_t *)body,')
+            print ('                          (unsigned)(next - body)/sizeof(uint32_t),')
+            print ('                          FALSE);')
+            print ('         body = next;')
+        print ('      }')
+        print ('      break;')
+    print ('   default:')
+    print ('      _debug_printf("\\t0x%08x\\n", cmd_id);')
+    print ('      break;')
+    print ('   }')
+    print (r'''
    while(body + sizeof(uint32_t) <= next) {
       _debug_printf("\t\t0x%08x\n", *(const uint32_t *)body);
       body += sizeof(uint32_t);
@@ -255,8 +255,8 @@
    while(body + sizeof(uint32_t) <= next)
       _debug_printf("\t\t0x%02x\n", *body++);
 }
-'''
-    print r'''
+''')
+    print (r'''
 void            
 svga_dump_commands(const void *commands, uint32_t size)
 {
@@ -289,25 +289,25 @@
       }
    }
 }
-'''
+''')
 
 def main():
-    print copyright.strip()
-    print
-    print '/**'
-    print ' * @file'
-    print ' * Dump SVGA commands.'
-    print ' *'
-    print ' * Generated automatically from svga3d_reg.h by svga_dump.py.'
-    print ' */'
-    print
-    print '#include "svga_types.h"'
-    print '#include "svga_shader_dump.h"'
-    print '#include "svga3d_reg.h"'
-    print
-    print '#include "util/u_debug.h"'
-    print '#include "svga_dump.h"'
-    print
+    print (copyright.strip())
+    print ('')
+    print ('/**')
+    print (' * @file')
+    print (' * Dump SVGA commands.')
+    print (' *')
+    print (' * Generated automatically from svga3d_reg.h by svga_dump.py.')
+    print (' */')
+    print ('')
+    print ('#include "svga_types.h"')
+    print ('#include "svga_shader_dump.h"')
+    print ('#include "svga3d_reg.h"')
+    print ('')
+    print ('#include "util/u_debug.h"')
+    print ('#include "svga_dump.h"')
+    print ('')
 
     config = parser.config_t(
         include_paths = ['../../../include', '../include'],
--- Mesa-7.8.2/src/mesa/es/glapi/gl_compare.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/es/glapi/gl_compare.py	2010-12-06 15:47:52.000000000 +1100
@@ -226,10 +226,10 @@
 
     # no child
     if not e.functions:
-        print '%s<enum %s/>' % (spaces(indent), attrs)
+        print ('%s<enum %s/>' % (spaces(indent), attrs))
         return
 
-    print '%s<enum %s>' % (spaces(indent), attrs)
+    print ('%s<enum %s>' % (spaces(indent), attrs))
     for key, val in e.functions.iteritems():
         attrs = 'name="%s"' % key
         if val[0] != e.default_count:
@@ -237,9 +237,9 @@
         if not val[1]:
             attrs += ' mode="get"'
 
-        print '%s<size %s/>' % (spaces(indent * 2), attrs)
+        print ('%s<size %s/>' % (spaces(indent * 2), attrs))
 
-    print '%s</enum>' % spaces(indent)
+    print ('%s</enum>' % spaces(indent))
 
 def output_type(t, indent=0):
     tab = spaces(16, t.name)
@@ -249,7 +249,7 @@
         attrs += ' unsigned="true"'
     elif ctype.find("signed") == -1:
         attrs += ' float="true"'
-    print '%s<type %s/>' % (spaces(indent), attrs)
+    print ('%s<type %s/>' % (spaces(indent), attrs))
 
 def output_function(f, indent=0):
     attrs = 'name="%s"' % f.name
@@ -258,17 +258,17 @@
             attrs += ' offset="assign"'
         else:
             attrs += ' offset="%d"' % f.offset
-    print '%s<function %s>' % (spaces(indent), attrs)
+    print ('%s<function %s>' % (spaces(indent), attrs))
 
     for p in f.parameters:
         attrs = 'name="%s" type="%s"' \
                 % (p.name, p.type_expr.original_string)
-        print '%s<param %s/>' % (spaces(indent * 2), attrs)
+        print ('%s<param %s/>' % (spaces(indent * 2), attrs))
     if f.return_type != "void":
         attrs = 'type="%s"' % f.return_type
-        print '%s<return %s/>' % (spaces(indent * 2), attrs)
+        print ('%s<return %s/>' % (spaces(indent * 2), attrs))
 
-    print '%s</function>' % spaces(indent)
+    print ('%s</function>' % spaces(indent))
 
 def output_category(api, indent=0):
     enums = api.enums_by_name.values()
@@ -281,15 +281,15 @@
     for e in enums:
         output_enum(e, indent)
     if enums and types:
-        print
+        print ('')
     for t in types:
         output_type(t, indent)
     if enums or types:
-        print
+        print ('')
     for f in functions:
         output_function(f, indent)
         if f != functions[-1]:
-            print
+            print ('')
 
 def is_api_empty(api):
     return bool(not api.enums_by_name and
@@ -297,9 +297,9 @@
                 not api.functions_by_name)
 
 def show_usage(ops):
-    print "Usage: %s [-k elts] <%s> <file1> <file2>" % (sys.argv[0], "|".join(ops))
-    print "    -k elts   A comma separated string of types of elements to"
-    print "              skip.  Possible types are enum, type, and function."
+    print ("Usage: %s [-k elts] <%s> <file1> <file2>" % (sys.argv[0], "|".join(ops)))
+    print ("    -k elts   A comma separated string of types of elements to")
+    print ("              skip.  Possible types are enum, type, and function.")
     sys.exit(1)
 
 def main():
@@ -339,16 +339,16 @@
         cat_name = "%s_of_%s_and_%s" \
                 % (op, os.path.basename(file1), os.path.basename(file2))
 
-        print '<?xml version="1.0"?>'
-        print '<!DOCTYPE OpenGLAPI SYSTEM "%s/gl_API.dtd">' % GLAPI
-        print
-        print '<OpenGLAPI>'
-        print
-        print '<category name="%s">' % (cat_name)
+        print ('<?xml version="1.0"?>')
+        print ('<!DOCTYPE OpenGLAPI SYSTEM "%s/gl_API.dtd">' % GLAPI)
+        print ('')
+        print ('<OpenGLAPI>')
+        print ('')
+        print ('<category name="%s">' % (cat_name))
         output_category(result, 4)
-        print '</category>'
-        print
-        print '</OpenGLAPI>'
+        print ('</category>')
+        print ('')
+        print ('</OpenGLAPI>')
 
 if __name__ == "__main__":
     main()
